
from aqt import mw, gui_hooks
from aqt.qt import *







from aqt.qt import QAction, QMenu



from .login import  MTLoginHandler
from .config import MTCONFIG, copyMediaToAppMedia


from.firstrunchecker import FirstRunChecker

from .mt_main_context import MTMainContext


import webbrowser



def profileFunction():
    mainContext.clickedToolbar()

def shopFunction():
    webbrowser.open(MTCONFIG.get("MT_URL_SIGNUP"))


def helpFunction():
    webbrowser.open(MTCONFIG.get("MT_URL_HELP_HOWTO"))

def configUIFunction():
    return ""


mainContext = MTMainContext()
mainContext.bootProcedure()


#allow access to /web media files
mw.addonManager.setWebExports(__name__, r"web(\\|/).*")

mw.addonManager.setConfigAction(__name__, configUIFunction)


ADDON_NAME = 'mt-anki-addon-public'


FirstRunChecker.check_for_firstRun()


#TODO open login window umbauen


def open_login_window():
    mw.mt_loginHandler = MTLoginHandler()
    mw.mt_loginHandler.check_token_and_load_login()


#TODO Menu Items verwalten

def profile_did_load():

    copyMediaToAppMedia()

    menu = QMenu("&Meditricks", mw)

    # Add submenus
    login_action = QAction("Profil", mw)
    shop_action = QAction("Shop", mw)
    help_action = QAction("Hilfe", mw)
    
    login_action.triggered.connect(profileFunction)
    shop_action.triggered.connect(shopFunction)  
    help_action.triggered.connect(helpFunction)
    
    menu.addAction(login_action)
    menu.addAction(shop_action)
    menu.addAction(help_action)

    mw.form.menubar.addMenu(menu)

gui_hooks.main_window_did_init.append(profile_did_load)

