
       
                window.addEventListener("load", function() {
                    

       new QWebChannel(qt.webChannelTransport, function (channel) {

            window.py = channel.objects.py;


            document.getElementById("logoutButton").onclick = function(event) {
                event.preventDefault();

                console.log("clicked logout");
                if(window.py){ //&& window.py.login) {
                    window.py.logout();
                } else {
                    console.error("Python backend not accessible");
                }
            };


            document.querySelector(".trial-button:not(.trial-button-finished)").onclick = function(event) {
                event.preventDefault();

                console.log("clicked trial button");
                if(window.py){ //&& window.py.login) {
                    window.py.startTrial();
                } else {
                    console.error("Python backend not accessible");
                }
            };


            document.querySelector(".relogin-button").onclick = function(event) {
                event.preventDefault();
                
                console.log("clicked trial button");
                if(window.py){ //&& window.py.login) {
                    window.py.relogin();
                    animate_startRelogin();
                } else {
                    console.error("Python backend not accessible");
                }
            };

            var checkboxes = document.querySelectorAll("input.tgl");

            // Function to add event listener to a checkbox
            function addChangeListener(checkbox) {
                checkbox.addEventListener('change', function() {
                    
                    var name = this.getAttribute('data-name');
                    if (this.checked) {
                        
                        window.py.settings_toggle(name, true);
                    } else {
                        
                        window.py.settings_toggle(name, false);
                    }
                });
            }

            // Add the event listener to each checkbox
            checkboxes.forEach(addChangeListener);


        });
    });


    function animate_startTrialSuccess() {

        document.querySelector('.trial-button-start-trial').style.display = 'none';
        document.querySelector('.trial-button-trial-started').style.display = 'block';
        $('#spinner').fadeOut();
    }

    function animate_startRelogin() {

        msgs = document.querySelectorAll('.relogin .msg'); 
        msgs.forEach(function(item) {
            item.style.display = 'none';
        });

        var button = document.querySelector('.relogin-button .fa-icon'); // Select the element
        if (button) {
            button.classList.add('rotate'); 
        }
    }
    function animate_stopRelogin() {
        var button = document.querySelector('.relogin-button .fa-icon'); // Select the element
        if (button) {
            button.classList.remove('rotate'); 
        }
    }

    function displaySuccess_relogin() {

        msgs = document.querySelectorAll('.relogin .msg'); 
        msgs.forEach(function(item) {
            item.style.display = 'none';
        });
        var msg = document.querySelector('.relogin .msg-success'); 
        msg.style.display = 'block'; 
    }

    function displayMsg_relogin() {

        msgs = document.querySelectorAll('.relogin .msg'); 
        msgs.forEach(function(item) {
            item.style.display = 'none';
        });
        var msg = document.querySelector('.relogin .msg-fail'); 
        msg.style.display = 'block'; 
    }

    function update_relogin_details(print_access_txt, print_access_class, exp_text, count) {
        document.querySelector('.access-text').innerHTML = print_access_txt; 
        var item = document.querySelector('.access-class'); 
        item.className = '';
        item.classList.add('access-class');
        item.classList.add(print_access_class);

        document.querySelector('.exp-text').innerHTML = exp_text; 
        document.querySelector('.view-count').innerHTML = count; 

    }
    function update_viewcounter(count) {
        
        document.querySelector('.view-count').innerHTML = count; 

    }